{include="header"}

{if="$fsc->albaran"}
<script type="text/javascript" src="{$fsc->get_js_location('ac_email_proveedor.js')}"></script>
<script type="text/javascript" src="{$fsc->get_js_location('nueva_compra.js')}"></script>
{if="$fsc->albaran->ptefactura"}
<script type="text/javascript">
   numlineas = {function="count($fsc->albaran->get_lineas())"};
   fs_nf0 = {#FS_NF0#};
   all_impuestos = {function="json_encode($fsc->impuesto->all())"};
   all_series = {function="json_encode($fsc->serie->all())"};
   proveedor = {function="json_encode($fsc->proveedor_s)"};
   nueva_compra_url = '{$fsc->nuevo_albaran_url}';
   kiwimaru_url = '{#FS_COMMUNITY_URL#}/index.php?page=kiwimaru';
   precio_compra = '{#FS_PRECIO_COMPRA#}';

   {if="$fsc->empresa->recequivalencia"}
   tiene_recargo = true;
   {/if}

   $(document).ready(function() {
      $("#numlineas").val(numlineas);
      usar_serie();
      recalcular();
      $("#ac_proveedor").autocomplete({
         serviceUrl: nueva_compra_url,
         paramName: 'buscar_proveedor',
         onSelect: function (suggestion) {
            if(suggestion)
            {
               if(document.f_albaran.proveedor.value != suggestion.data && suggestion.data != '')
               {
                  document.f_albaran.proveedor.value = suggestion.data;
                  usar_proveedor(suggestion.data);
               }
            }
         }
      });
   });
</script>
{else}
<script type="text/javascript">
   $(document).ready(function() {
      {if="$fsc->albaran->totalrecargo==0"}
      $(".recargo").hide();
      {/if}
      {if="$fsc->albaran->totalirpf==0"}
      $(".irpf").hide();
      {/if}
   });
</script>
{/if}
<script type="text/javascript">
   $(document).ready(function() {
      $("#b_imprimir").click(function(event) {
         event.preventDefault();
         $("#modal_imprimir_albaran").modal('show');
      });
      $("#b_enviar").click(function(event) {
         event.preventDefault();
         $("#modal_enviar").modal('show');
         document.f_enviar_email.email.select();
      });
      $("#b_aprobar").click(function(event) {
         event.preventDefault();
         $("#modal_aprobar").modal('show');
      });
      $("#b_eliminar").click(function(event) {
         event.preventDefault();
         $("#modal_eliminar").modal('show');
      });
   });
</script>

<form name="f_albaran" action="{$fsc->albaran->url()}" method="post" class="form">
   <input type="hidden" name="idalbaran" value="{$fsc->albaran->idalbaran}"/>
   <input type="hidden" name="proveedor" value="{$fsc->albaran->codproveedor}"/>
   <input type="hidden" id="numlineas" name="numlineas" value="0"/>
   <div class="container-fluid">
      <div class="row">
         <div class="col-xs-8">
            <a class="btn btn-sm btn-default hidden-xs" href="{$fsc->url()}" title="Recargar la página">
               <span class="glyphicon glyphicon-refresh"></span>
            </a>
            <div class="btn-group">
               <a id="b_imprimir" class="btn btn-sm btn-default">
                  <span class="glyphicon glyphicon-print"></span>
                  <span class="hidden-xs">&nbsp; Imprimir</span>
               </a>
               {if="$fsc->empresa->can_send_mail()"}
               <a id="b_enviar" class="btn btn-sm btn-default" href="#">
                  <span class="glyphicon glyphicon-envelope"></span>
                  <span class="hidden-xs">&nbsp; Enviar</span>
               </a>
               {/if}
               {loop="$fsc->extensions"}
                  {if="$value->type=='button'"}
                  <a href="index.php?page={$value->from}&id={$fsc->albaran->idalbaran}{$value->params}" class="btn btn-sm btn-default">{$value->text}</a>
                  {elseif="$value->type=='modal'"}
                  <!--{$txt=base64_encode($value->text)}-->
                  <!--{$url='index.php?page='.$value->from.'&id='.$fsc->albaran->idalbaran.$value->params}-->
                  <a href="#" class="btn btn-sm btn-default" onclick="fs_modal('{$txt}','{$url}')">{$value->text}</a>
                  {/if}
               {/loop}
            </div>
            {if="$fsc->albaran->idfactura"}
            <a class="btn btn-sm btn-info" href="{$fsc->albaran->factura_url()}">
               <span class="glyphicon glyphicon-eye-open"></span>
               <span class="hidden-xs">&nbsp; Ver Factura</span>
            </a>
            {elseif="$fsc->albaran->ptefactura"}
            <div class="btn-group">
               <button type="button" class="btn btn-sm btn-warning dropdown-toggle" data-toggle="dropdown">
                  <span class="glyphicon glyphicon-time"></span>
                  <span class="hidden-xs">&nbsp; Pendiente</span>
                  <span class="caret"></span>
               </button>
               <ul class="dropdown-menu" role="menu">
                  <li>
                     <a id="b_aprobar" href="#">
                        <span class="glyphicon glyphicon-ok"></span>&nbsp; Aprobado
                     </a>
                  </li>
                  <li>
                     <a href="index.php?page=compras_agrupar_albaranes&codproveedor={$fsc->albaran->codproveedor}&codserie={$fsc->albaran->codserie}&desde={$fsc->albaran->fecha}">
                        <span class="glyphicon glyphicon-duplicate"></span>&nbsp; Agrupar...
                     </a>
                  </li>
               </ul>
            </div>
            {else}
            <a class="btn btn-sm btn-warning" href="#">
               <span class="glyphicon glyphicon-lock"></span>
               <span class="hidden-xs">&nbsp; Bloqueado</span>
            </a>
            {/if}
         </div>
         <div class="col-xs-4 text-right">
            <a class="btn btn-sm btn-success" href="index.php?page=nueva_compra&tipo=albaran" title="Nuevo {#FS_ALBARAN#}">
               <span class="glyphicon glyphicon-plus"></span>
            </a>
            <div class="btn-group">
               {if="$fsc->allow_delete"}
               <a id="b_eliminar" class="btn btn-sm btn-danger" href="#">
                  <span class="glyphicon glyphicon-trash"></span>
                  <span class="hidden-sm hidden-xs">&nbsp; Eliminar</span>
               </a>
               {/if}
               <button class="btn btn-sm btn-primary" type="button" onclick="this.disabled=true;this.form.submit();">
                  <span class="glyphicon glyphicon-floppy-disk"></span>
                  <span class="hidden-xs">&nbsp; Guardar</span>
               </button>
            </div>
         </div>
      </div>
      <div class="row">
         <div class="col-md-12">
            <br/>
            <ol class="breadcrumb" style="margin-bottom: 5px;">
               <li><a href="{$fsc->ppage->url()}">Compras</a></li>
               <li><a href="{$fsc->ppage->url()}" class="text-capitalize">{#FS_ALBARANES#}</a></li>
               <li>
                  {loop="$fsc->serie->all()"}
                     {if="$value->codserie==$fsc->albaran->codserie"}
                     <a href="{$fsc->ppage->url()}&codserie={$value->codserie}" class="text-capitalize">{$value->descripcion}</a>
                     {/if}
                  {/loop}
               </li>
               <li>
                  <a href="{$fsc->albaran->proveedor_url()}">{$fsc->albaran->nombre}</a>
               </li>
               {if="$fsc->proveedor_s"}
                  {if="$fsc->proveedor_s->nombre!=$fsc->albaran->nombre"}
                  <li>
                     <a href="#" onclick="alert('Proveedor conocido como: {$fsc->proveedor_s->nombre}')">
                        <span class="glyphicon glyphicon-info-sign" aria-hidden="true"></span>
                     </a>
                  </li>
                  {/if}
               {/if}
               <li class="active"><b>{$fsc->albaran->codigo}</b></li>
            </ol>
            <p class="help-block">
               {if="$fsc->agente"}
               <span class="text-capitalize">{#FS_ALBARAN#}</span> creado por <a href="{$fsc->agente->url()}">{$fsc->agente->get_fullname()}</a>.
               {else}
               Sin datos de qué empleado ha creado este {#FS_ALBARAN#}.
               {/if}
            </p>
         </div>
      </div>
      <div class="row">
         {if="$fsc->albaran->ptefactura"}
         <div class="col-md-3 col-sm-12">
            <div class="form-group">
               Proveedor actual:
               <div class="input-group">
                  <input class="form-control" type="text" name="ac_proveedor" id="ac_proveedor" value="{$fsc->albaran->nombre}" placeholder="Buscar" autocomplete="off"/>
                  <span class="input-group-btn">
                     <button class="btn btn-default" type="button" onclick="document.f_albaran.ac_proveedor.value=''; document.f_albaran.ac_proveedor.focus();">
                        <span class="glyphicon glyphicon-edit"></span>
                     </button>
                  </span>
               </div>
            </div>
         </div>
         {/if}
         <div class="col-md-3 col-sm-4">
            <div class="form-group">
               Núm. Proveedor:
               <input class="form-control" type="text" name="numproveedor" value="{$fsc->albaran->numproveedor}"/>
            </div>
         </div>
         {if="$fsc->albaran->ptefactura"}
         <div class="col-sm-2">
            <div class="form-group">
               <a href="{$fsc->serie->url()}" class="text-capitalize">{#FS_SERIE#}</a>:
               <select class="form-control" name="serie" id="codserie" onchange="usar_serie();recalcular();">
               {loop="$fsc->serie->all()"}
                  {if="$value->codserie==$fsc->albaran->codserie"}
                  <option value="{$value->codserie}" selected="">{$value->descripcion}</option>
                  {else}
                  <option value="{$value->codserie}">{$value->descripcion}</option>
                  {/if}
               {/loop}
               </select>
            </div>
         </div>
         {/if}
         <div class="col-md-2 col-sm-3">
            <div class="form-group">
               Fecha:
               {if="$fsc->albaran->ptefactura"}
               <input class="form-control datepicker" type="text" name="fecha" value="{$fsc->albaran->fecha}" autocomplete="off"/>
               {else}
               <div class="form-control">{$fsc->albaran->fecha}</div>
               {/if}
            </div>
         </div>
         <div class="col-md-2 col-sm-3">
            <div class="form-group">
               Hora:
               {if="$fsc->albaran->ptefactura"}
               <input class="form-control" type="text" name="hora" value="{$fsc->albaran->hora}" autocomplete="off"/>
               {else}
               <div class="form-control">{$fsc->albaran->hora}</div>
               {/if}
            </div>
         </div>
      </div>
   </div>

   <div role="tabpanel">
      <ul class="nav nav-tabs" role="tablist">
         <li role="presentation" class="active">
            <a href="#lineas_a" aria-controls="lineas_a" role="tab" data-toggle="tab">
               <span class="glyphicon glyphicon-list" aria-hidden="true"></span>
               <span class="hidden-xs">&nbsp; Líneas</span>
            </a>
         </li>
         <li role="presentation">
            <a href="#detalles" aria-controls="detalles" role="tab" data-toggle="tab">
               <span class="glyphicon glyphicon-info-sign" aria-hidden="true"></span>
               <span class="hidden-xs">&nbsp; Detalles</span>
            </a>
         </li>
         {loop="$fsc->extensions"}
            {if="$value->type=='tab'"}
            <li role="presentation">
               <a href="#ext_{$value->name}" aria-controls="ext_{$value->name}" role="tab" data-toggle="tab">{$value->text}</a>
            </li>
            {/if}
         {/loop}
      </ul>
      <div class="tab-content">
         <div role="tabpanel" class="tab-pane active" id="lineas_a">
            <div class="table-responsive">
               {if="$fsc->albaran->ptefactura"}
               <table class="table table-condensed">
                  <thead>
                     <tr>
                        <th class="text-left" width="180">Referencia</th>
                        <th class="text-left">Descripción</th>
                        <th class="text-right" width="90">Cantidad</th>
                        <th width="50"></th>
                        <th class="text-right" width="110">Precio</th>
                        <th class="text-right" width="90">Dto. %</th>
                        <th class="text-right" width="130">Neto</th>
                        <th class="text-right" width="115">{#FS_IVA#}</th>
                        <th class="text-right recargo" width="115">RE %</th>
                        <th class="text-right irpf" width="115">{#FS_IRPF#} %</th>
                        <th class="text-right" width="140">Total</th>
                     </tr>
                  </thead>
                  <tbody id="lineas_albaran">
                  {loop="$fsc->albaran->get_lineas()"}
                     <tr id="linea_{$counter}">
                        <td>
                           <input type="hidden" name="idlinea_{$counter}" value="{$value->idlinea}"/>
                           <input type="hidden" name="referencia_{$counter}" value="{$value->referencia}"/>
                           {if="$value->idlineapedido"}
                           <div class="input-group">
                              <a target="_blank" href="index.php?page=compras_pedido&id={$value->idpedido}" class="input-group-addon" title="ver {#FS_PEDIDO#}">P</a>
                              <div class="form-control">
                                 <small><a target="_blank" href="{$value->articulo_url()}">{$value->referencia}</a></small>
                              </div>
                           </div>
                           {else}
                           <div class="form-control">
                              <small><a target="_blank" href="{$value->articulo_url()}">{$value->referencia}</a></small>
                           </div>
                           {/if}
                        </td>
                        <td><textarea class="form-control" name="desc_{$counter}" rows="1">{$value->descripcion}</textarea></td>
                        <td>
                           <input type="number" step="any" id="cantidad_{$counter}" class="form-control text-right" name="cantidad_{$counter}"
                                  value="{$value->cantidad}" onchange="recalcular()" onkeyup="recalcular()" autocomplete="off" value="1"/>
                        </td>
                        <td>
                           <button class="btn btn-sm btn-danger" type="button" onclick="$('#linea_{$counter}').remove();recalcular();">
                              <span class="glyphicon glyphicon-trash"></span>
                           </button>
                        </td>
                        <td>
                           <input type="text" class="form-control text-right" id="pvp_{$counter}" name="pvp_{$counter}" value="{$value->pvpunitario}"
                                  onkeyup="recalcular()" onclick="this.select()" autocomplete="off"/>
                        </td>
                        <td>
                           <input type="text" id="dto_{$counter}" name="dto_{$counter}" value="{$value->dtopor}" class="form-control text-right"
                                  onkeyup="recalcular()" onclick="this.select()" autocomplete="off"/>
                        </td>
                        <td>
                           <input type="text" class="form-control text-right" id="neto_{$counter}" name="neto_{$counter}"
                                  onchange="ajustar_neto('{$counter}')" onclick="this.select()" autocomplete="off"/>
                        </td>
                        <td>
                           <select class="form-control" id="iva_{$counter}" name="iva_{$counter}" onchange="ajustar_iva('{$counter}')">
                           {loop="$fsc->impuesto->all()"}
                              {if="$value1->codimpuesto==$value2->codimpuesto OR $value1->iva==$value2->iva"}
                              <option value="{$value2->iva}" selected="">{$value2->descripcion}</option>
                              {else}
                              <option value="{$value2->iva}">{$value2->descripcion}</option>
                              {/if}
                           {/loop}
                           </select>
                        </td>
                        <td class="recargo">
                           <input type="text" class="form-control text-right" id="recargo_{$counter}" name="recargo_{$counter}" value="{$value->recargo}"
                                  onchange="recalcular()" onclick="this.select()" autocomplete="off"/>
                        </td>
                        <td class="irpf">
                           <input type="text" class="form-control text-right" id="irpf_{$counter}" name="irpf_{$counter}" value="{$value->irpf}"
                                  onchange="recalcular()" onclick="this.select()" autocomplete="off"/>
                        </td>
                        <td class="warning" title="Cálculo aproximado del total de la linea">
                           <input type="text" class="form-control text-right" id="total_{$counter}" name="total_{$counter}"
                                  onchange="ajustar_total('{$counter}')" onclick="this.select()" autocomplete="off"/>
                        </td>
                     </tr>
                     {/loop}
                  </tbody>
                  <tbody>
                     <tr class="info">
                        <td><input id="i_new_line" class="form-control" type="text" placeholder="Buscar para añadir..." autocomplete="off"/></td>
                        <td colspan="3">
                           <a href="#" class="btn btn-sm btn-default" title="Añadir sin buscar" onclick="return add_linea_libre()">
                              <span class="glyphicon glyphicon-edit" aria-hidden="true"></span>
                           </a>
                        </td>
                        <td colspan="2">
                           <div class="form-control text-right">
                              Totales
                              {if="$fsc->albaran->coddivisa!=$fsc->empresa->coddivisa"}
                              ({$fsc->albaran->coddivisa})
                              {/if}
                           </div>
                        </td>
                        <td><div id="aneto" class="form-control text-right" style="font-weight: bold;">{$fsc->show_numero(0)}</div></td>
                        <td><div id="aiva" class="form-control text-right" style="font-weight: bold;">{$fsc->show_numero(0)}</div></td>
                        <td class="recargo">
                           <div id="are" class="form-control text-right" style="font-weight: bold;">{$fsc->show_numero(0)}</div>
                        </td>
                        <td class="irpf">
                           <div id="airpf" class="form-control text-right" style="font-weight: bold;">{$fsc->show_numero(0)}</div>
                        </td>
                        <td>
                           <input type="text" name="atotal" id="atotal" class="form-control text-right" style="font-weight: bold;"
                                  value="0" onchange="recalcular()" autocomplete="off"/>
                        </td>
                     </tr>
                     {if="$fsc->user->admin"}
                     <tr>
                        <td colspan="6"></td>
                        <td class="text-right">{$fsc->show_precio($fsc->albaran->neto, $fsc->albaran->coddivisa)}</td>
                        <td class="text-right">{$fsc->show_precio($fsc->albaran->totaliva, $fsc->albaran->coddivisa)}</td>
                        <td class="recargo text-right">{$fsc->show_precio($fsc->albaran->totalrecargo, $fsc->albaran->coddivisa)}</td>
                        <td class="irpf text-right">{$fsc->show_precio($fsc->albaran->totalirpf, $fsc->albaran->coddivisa)}</td>
                        <td class="text-right">{$fsc->show_precio($fsc->albaran->total, $fsc->albaran->coddivisa)}</td>
                     </tr>
                     {/if}
                  </tbody>
               </table>
               {else}
               <table class="table table-hover">
                  <thead>
                     <tr>
                        <th class="text-left">Artículo</th>
                        <th class="text-right">Cantidad</th>
                        <th class="text-right">Precio</th>
                        <th class="text-right">Dto</th>
                        <th class="text-right">Neto</th>
                        <th class="text-right">{#FS_IVA#}</th>
                        <th class="text-right recargo">RE</th>
                        <th class="text-right irpf">{#FS_IRPF#}</th>
                        <th class="text-right">Total</th>
                     </tr>
                  </thead>
                  {loop="$fsc->albaran->get_lineas()"}
                  <tr{if="$value->cantidad<=0"} class="warning"{/if}>
                     <td>
                        {if="$value->idlineapedido"}
                        <a target="_blank" href="index.php?page=compras_pedido&id={$value->idpedido}" title="ver {#FS_PEDIDO#}">
                           <span class="glyphicon glyphicon-paperclip" aria-hidden="true"></span>
                        </a> &nbsp;
                        {/if}
                        <a href="{$value->articulo_url()}">{$value->referencia}</a> {$value->descripcion}
                     </td>
                     <td class="text-right">{$value->cantidad}</td>
                     <td class="text-right">{$fsc->show_precio($value->pvpunitario, $fsc->albaran->coddivisa)}</td>
                     <td class="text-right">{$fsc->show_numero($value->dtopor, 2)} %</td>
                     <td class="text-right">{$fsc->show_precio($value->pvptotal, $fsc->albaran->coddivisa)}</td>
                     <td class="text-right">{$fsc->show_numero($value->iva, 2)} %</td>
                     <td class="text-right recargo">{$fsc->show_numero($value->recargo, 2)} %</td>
                     <td class="text-right irpf">{$fsc->show_numero($value->irpf, 2)} %</td>
                     <td class="text-right">{$fsc->show_precio($value->total_iva(), $fsc->albaran->coddivisa)}</td>
                  </tr>
                  {else}
                  <tr class="warning">
                     <td colspan="9">
                        <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                        &nbsp; No hay líneas.
                     </td>
                  </tr>
                  {/loop}
                  <tr>
                     {if="$fsc->albaran->coddivisa!=$fsc->empresa->coddivisa"}
                     <td colspan="4" class="text-right warning"><b>{$fsc->albaran->coddivisa}:</b></td>
                     {else}
                     <td colspan="4"></td>
                     {/if}
                     <td class="text-right"><b>{$fsc->show_precio($fsc->albaran->neto, $fsc->albaran->coddivisa)}</b></td>
                     <td class="text-right"><b>{$fsc->show_precio($fsc->albaran->totaliva, $fsc->albaran->coddivisa)}</b></td>
                     <td class="text-right recargo"><b>{$fsc->show_precio($fsc->albaran->totalrecargo, $fsc->albaran->coddivisa)}</b></td>
                     <td class="text-right irpf"><b>-{$fsc->show_precio($fsc->albaran->totalirpf, $fsc->albaran->coddivisa)}</b></td>
                     <td class="text-right"><b>{$fsc->show_precio($fsc->albaran->total, $fsc->albaran->coddivisa)}</b></td>
                  </tr>
               </table>
               {/if}
            </div>

            <div class="container-fluid">
               <div class="row">
                  <div class="col-sm-12">
                     <div class="form-group">
                        Observaciones:
                        <textarea class="form-control" name="observaciones" rows="6">{$fsc->albaran->observaciones}</textarea>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         <div role="tabpanel" class="tab-pane" id="detalles">
            <div class="container-fluid" style="margin-top: 10px;">
               <div class="row">
                  <div class="col-sm-3">
                     <div class="form-group">
                        Nombre del proveedor:
                        <input class="form-control" type="text" name="nombre" value="{$fsc->albaran->nombre}" autocomplete="off"/>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        {#FS_CIFNIF#}:
                        <input class="form-control" type="text" name="cifnif" value="{$fsc->albaran->cifnif}" autocomplete="off"/>
                     </div>
                  </div>
                  <div class="col-sm-3">
                     <div class="form-group">
                        <a href="{$fsc->forma_pago->url()}">Forma de pago</a>:
                        <select name="forma_pago" class="form-control">
                           {loop="$fsc->forma_pago->all()"}
                           <option value="{$value->codpago}"{if="$value->codpago==$fsc->albaran->codpago"} selected=""{/if}>{$value->descripcion}</option>
                           {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        <a href="{$fsc->divisa->url()}">Divisa</a>:
                        <select name="divisa" class="form-control">
                        {loop="$fsc->divisa->all()"}
                           {if="$value->coddivisa==$fsc->albaran->coddivisa"}
                           <option value="{$value->coddivisa}" selected="">{$value->descripcion}</option>
                           {else}
                           <option value="{$value->coddivisa}">{$value->descripcion}</option>
                           {/if}
                        {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        Tasa de conversión (1$ = X)
                        <input type="text" name="tasaconv" class="form-control" placeholder="{$fsc->albaran->tasaconv}" autocomplete="off"/>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         {loop="$fsc->extensions"}
         {if="$value->type=='tab'"}
            <div role="tabpanel" class="tab-pane" id="ext_{$value->name}">
               <iframe src="index.php?page={$value->from}{$value->params}&id={$fsc->albaran->idalbaran}" width="100%" height="2000" frameborder="0"></iframe>
            </div>
            {/if}
         {/loop}
      </div>
   </div>
</form>

<div class="modal" id="modal_articulos">
   <div class="modal-dialog" style="width: 99%; max-width: 1000px;">
      <div class="modal-content">
         <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title">Buscar artículos</h4>
            <p class="help-block">
               <span class="glyphicon glyphicon-info-sign"></span>
               Coloca el puntero sobre un precio para ver la fecha en la que fue actualizado.
            </p>
         </div>
         <div class="modal-body">
            <form id="f_buscar_articulos" name="f_buscar_articulos" action="{$fsc->url()}" method="post" class="form">
               <input type="hidden" name="codproveedor" value="{$fsc->albaran->codproveedor}"/>
               <div class="container-fluid">
                  <div class="row">
                     <div class="col-sm-4">
                        <div class="input-group">
                           <input class="form-control" type="text" name="query" autocomplete="off"/>
                           <span class="input-group-btn">
                              <button class="btn btn-primary" type="submit">
                                 <span class="glyphicon glyphicon-search"></span>
                              </button>
                           </span>
                        </div>
                     </div>
                     <div class="col-sm-4">
                        <select class="form-control" name="codfamilia" onchange="buscar_articulos()">
                           <option value="">Cualquier Categoria</option>
                           <option value="">------</option>
                           {loop="$fsc->familia->all()"}
                           <option value="{$value->codfamilia}">{$value->nivel}{$value->descripcion}</option>
                           {/loop}
                        </select>
                     </div>
                     <div class="col-sm-4">
                        <select class="form-control" name="codfabricante" onchange="buscar_articulos()">
                           <option value="">Cualquier fabricante</option>
                           <option value="">------</option>
                           {loop="$fsc->fabricante->all()"}
                           <option value="{$value->codfabricante}">{$value->nombre}</option>
                           {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-sm-2">
                        <div class="checkbox-inline">
                           <label>
                              <input type="checkbox" name="con_stock" value="TRUE" onchange="buscar_articulos()"/>
                              sólo con stock
                           </label>
                        </div>
                     </div>
                     <div class="col-sm-3">
                        <div class="checkbox-inline">
                           <label>
                              <input type="checkbox" name="solo_proveedor" value="TRUE" onchange="buscar_articulos()"/>
                              sólo de este proveedor
                           </label>
                        </div>
                     </div>
                  </div>
               </div>
            </form>
         </div>
         <ul class="nav nav-tabs" id="nav_articulos" style="display: none;">
            <li id="li_mis_articulos">
               <a href="#" id="b_mis_articulos">Mi catálogo</a>
            </li>
            <li id="li_kiwimaru">
               <a href="#" id="b_kiwimaru">
                  <span class="glyphicon glyphicon-globe"></span>
               </a>
            </li>
            <li id="li_nuevo_articulo">
               <a href="#" id="b_nuevo_articulo">
                  <span class="glyphicon glyphicon-plus"></span>&nbsp; Nuevo
               </a>
            </li>
         </ul>
         <div id="search_results"></div>
         <div id="kiwimaru_results"></div>
         <div id="nuevo_articulo" class="modal-body" style="display: none;">
            <form name="f_nuevo_articulo" action="{$fsc->url()}" method="post" class="form">
               <input type="hidden" name="codproveedor" value="{$fsc->proveedor_s->codproveedor}"/>
               <div class="container-fluid">
                  <div class="row">
                     <div class="col-sm-3">
                        <div class="form-group">
                           Referencia:
                           <div class="input-group">
                              <input class="form-control" type="text" name="referencia" maxlength="18" autocomplete="off"/>
                              <span class="input-group-btn" title="Borrar">
                                 <button class="btn btn-default" type="button" onclick="document.f_nuevo_articulo.referencia.value='';document.f_nuevo_articulo.refproveedor.focus();">
                                    <span class="glyphicon glyphicon-edit"></span>
                                 </button>
                              </span>
                           </div>
                           <p class="help-block">Dejar en blanco para asignar una referencia automática.</p>
                        </div>
                     </div>
                     <div class="col-sm-3">
                        <div class="form-group">
                           Ref. Proveedor:
                           <input class="form-control" type="text" name="refproveedor" maxlength="25" autocomplete="off"/>
                        </div>
                     </div>
                     <div class="col-sm-6">
                        <div class="form-group">
                           Descripción:
                           <textarea name="descripcion" rows="1" class="form-control"></textarea>
                        </div>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-sm-4">
                        <div class="form-group">
                           Código de barras:
                           <div class="input-group">
                              <span class="input-group-addon">
                                 <span class="glyphicon glyphicon-barcode"></span>
                              </span>
                              <input class="form-control" type="text" name="codbarras" maxlength="18" autocomplete="off"/>
                           </div>
                        </div>
                     </div>
                     <div class="col-sm-4">
                        <div class="form-group">
                           <a href="{$fsc->familia->url()}">Categoria</a>:
                           <select name="codfamilia" class="form-control">
                              <option value="">Ninguna</option>
                              <option value="">-------</option>
                              {loop="$fsc->familia->all()"}
                              <option value="{$value->codfamilia}">{$value->nivel}{$value->descripcion}</option>
                              {/loop}
                           </select>
                        </div>
                     </div>
                     <div class="col-sm-4">
                        <div class="form-group">
                           <a href="{$fsc->fabricante->url()}">Fabricante</a>:
                           <select name="codfabricante" class="form-control">
                              <option value="">Ninguno</option>
                              <option value="">-------</option>
                              {loop="$fsc->fabricante->all()"}
                              <option value="{$value->codfabricante}">{$value->nombre}</option>
                              {/loop}
                           </select>
                        </div>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-sm-4">
                        <div class="form-group">
                           <a href="{$fsc->impuesto->url()}">{#FS_IVA#}</a>:
                           <select name="codimpuesto" class="form-control">
                              {loop="$fsc->impuesto->all()"}
                              <option value="{$value->codimpuesto}"{if="$value->is_default()"} selected=""{/if}>{$value->descripcion}</option>
                              {/loop}
                           </select>
                        </div>
                     </div>
                     <div class="col-sm-4">
                        <div class="form-group">
                           Precio compra:
                           <input type="text" name="coste" value="0" class="form-control" autocomplete="off"/>
                        </div>
                     </div>
                     <div class="col-sm-4">
                        <div class="form-group">
                           Precio venta:
                           <input type="text" name="pvp" value="0" class="form-control" autocomplete="off"/>
                        </div>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-sm-8">
                        <label class="checkbox-inline">
                           <input type="checkbox" name="secompra" value="TRUE" checked=""/> Se compra
                        </label> &nbsp;
                        <label class="checkbox-inline">
                           <input type="checkbox" name="sevende" value="TRUE" checked=""/> Se vende
                        </label> &nbsp;
                        <label class="checkbox-inline">
                           <input type="checkbox" name="nostock" value="TRUE"/> No controlar stock
                        </label> &nbsp;
                        <label class="checkbox-inline">
                           <input type="checkbox" name="publico" value="TRUE"/>
                           <span class="glyphicon glyphicon-globe"></span> Público
                        </label>
                     </div>
                     <div class="col-sm-4 text-right">
                        <button class="btn btn-sm btn-primary" type="submit" onclick="new_articulo();return false;">
                           <span class="glyphicon glyphicon-floppy-disk"></span>&nbsp; Guardar y seleccionar
                        </button>
                     </div>
                  </div>
               </div>
            </form>
         </div>
      </div>
   </div>
</div>

<div class="modal fade" id="modal_imprimir_albaran">
   <div class="modal-dialog">
      <div class="modal-content">
         <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title">Imprimir {#FS_ALBARAN#}</h4>
         </div>
         <div class="modal-body">
            {loop="$fsc->extensions"}
               {if="$value->type=='pdf'"}
               <a href="index.php?page={$value->from}{$value->params}&id={$fsc->albaran->idalbaran}" target="_blank" class="btn btn-block btn-default">
                  <span class="glyphicon glyphicon-print"></span>&nbsp; {$value->text}
               </a>
               {/if}
            {/loop}
         </div>
      </div>
   </div>
</div>

<form class="form" role="form" name="f_enviar_email" action="{$fsc->url()}" method="post" enctype="multipart/form-data">
   <input type="hidden" name="codproveedor" value="{$fsc->albaran->codproveedor}"/>
   <div class="modal" id="modal_enviar">
      <div class="modal-dialog">
         <div class="modal-content">
            <div class="modal-header">
               <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
               <h4 class="modal-title">
                  <span class="glyphicon glyphicon-envelope"></span>&nbsp;
                  Enviar {#FS_ALBARAN#}
               </h4>
            </div>
            <div class="modal-body">
               <div class="form-group">
                  <div class="input-group">
                     <span class="input-group-addon">De</span>
                     <select name="de" class="form-control">
                        {if="$fsc->user->email"}
                        <option>{$fsc->user->email}</option>
                        {/if}
                        <option>{$fsc->empresa->email}</option>
                     </select>
                  </div>
               </div>
               <div class="form-group">
                  <div class="input-group">
                     <span class="input-group-addon">Para</span>
                     <input id="ac_email" class="form-control" type="text" name="email" value="{$fsc->proveedor_s->email}" autocomplete="off"/>
                     <span class="input-group-addon" title="Asignar email al proveedor">
                        <input type="checkbox" name="guardar" value="TRUE"/>
                        <span class="glyphicon glyphicon-floppy-disk"></span>
                     </span>
                  </div>
               </div>
               <div class="form-group">
                  <div class="input-group">
                     <span class="input-group-addon">Copia</span>
                     <input id="ac_email2" class="form-control" type="text" name="email_copia" autocomplete="off"/>
                     <span class="input-group-addon" title="Copia de carbón oculta">
                        <input type="checkbox" name="cco" value="TRUE"/>
                        <span class="glyphicon glyphicon-eye-close"></span>
                     </span>
                  </div>
               </div>
               <div class="form-group">
                  <textarea class="form-control" name="mensaje" rows="6">Buenos días, le adjunto mi {#FS_ALBARAN#} {$fsc->albaran->codigo}.
{$fsc->empresa->email_config['mail_firma']}</textarea>
                  <p class="help-block">
                     <a href="index.php?page=admin_empresa#email">Editar la firma</a>
                  </p>
               </div>
               <div class="form-group">
                  <input name="adjunto" type="file"/>
                  <p class="help-block">
                     Se va a adjuntar el {#FS_ALBARAN#}, pero si lo deseas
                     puedes añadir otro archivo de hasta {$fsc->get_max_file_upload()} MB
                  </p>
               </div>
               {loop="$fsc->extensions"}
                  {if="$value->type=='email'"}
                  <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.action='index.php?page={$value->from}{$value->params}&id={$fsc->albaran->idalbaran}';this.form.submit();">
                     <span class="glyphicon glyphicon-send"></span>&nbsp; {$value->text}
                  </button>
                  {/if}
               {/loop}
            </div>
         </div>
      </div>
   </div>
</form>

<form class="form" role="form" action="{$fsc->url()}" method="post">
   <input type="hidden" name="petid" value="{$fsc->random_string()}"/>
   <div class="modal" id="modal_aprobar">
      <div class="modal-dialog modal-sm">
         <div class="modal-content">
            <div class="modal-header">
               <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
               <h4 class="modal-title">Aprobar {#FS_ALBARAN#}</h4>
            </div>
            <div class="modal-body">
               <div class="form-group">
                  Fecha de la factura:
                  <input class="form-control datepicker" type="text" name="facturar" value="{$fsc->today()}" autocomplete="off"/>
                  <p class="help-block">
                     Se generará una factura. Si deseas aprobar de golpe todos
                     los {#FS_ALBARANES#} pendientes, puedes usar el plugin <b>megafacturador</b>.
                  </p>
               </div>
               <div class="text-right">
                  <button class="btn btn-sm btn-primary" onclick="this.disabled=true;this.form.submit();">
                     <span class="glyphicon glyphicon-paperclip"></span>&nbsp; Aprobar
                  </button>
               </div>
            </div>
         </div>
      </div>
   </div>
</form>

<form action="{$fsc->ppage->url()}" method="post">
   <input type="hidden" name="delete" value="{$fsc->albaran->idalbaran}"/>
   <div class="modal fade" id="modal_eliminar">
      <div class="modal-dialog">
         <div class="modal-content">
            <div class="modal-header">
               <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
               <h4 class="modal-title">¿Realmente desea eliminar este {#FS_ALBARAN#}?</h4>
            </div>
            {if="$fsc->albaran->idfactura"}
            <div class="modal-body bg-warning">
               Hay una factura asociada que será eliminada junto con este {#FS_ALBARAN#}.
            </div>
            {/if}
            <div class="modal-footer">
               <div class="pull-left">
                  <label>
                     <input type="checkbox" name="stock" value="TRUE" checked="checked"/>
                     Actualizar el stock
                  </label>
               </div>
               <button class="btn btn-sm btn-danger" onclick="this.disabled=true;this.form.submit();">
                  <span class="glyphicon glyphicon-trash"></span>&nbsp; Eliminar
               </button>
            </div>
         </div>
      </div>
   </div>
</form>
{else}
<div class="thumbnail">
   <img src="view/img/fuuu_face.png" alt="fuuuuu"/>
</div>
{/if}

{include="footer"}
